---
agentTools:
  projectIndex: https://connectly.readme.io/llms.txt
---

# Send a template message

Template messages are useful when you try to send the same type of message to a number of customers (notifications, remninders, etc.). You can also send them first to the customers even if you have never messaged the customer. And they don’t have the 24-hr reply window constraint as regular messages do.

Below is an example to send a template message to a given WhatsApp number. Note the template has to be created and approved in your WhatsApp Manager, which is part of the [Facebook Business Manager](https://business.facebook.com/) before sending. You can also contact us if you need help to create one.

[block:code]
{
  "codes": [
    {
      "code": "curl --request POST \\\n     --url https://api.connectly.ai/v1/businesses/<business_id>/send/whatsapp_templated_messages \\\n     --header 'Accept: application/json' \\\n     --header 'Content-Type: application/json' \\\n     --header 'X-API-Key: <YOUR_KEY_HERE>' \\\n     --data '\n{\n     \"parameters\": [\n          {\n               \"name\": \"body_1\",\n               \"value\": \"value1\"\n          },\n          {\n               \"name\": \"body_2\",\n               \"value\": \"value2\"\n          }\n     ],\n     \"number\": \"<WA_NUumber>\",\n     \"templateName\": \"<Template_name>\",\n     \"language\": \"en_US\"\n}'",
      "language": "curl"
    }
  ]
}
[/block]

To read more on how to send a template message, see [/v1/businesses/{businessId}/send/whatsapp\_templated\_messages](https://connectly.readme.io/reference/messageservice_sendwhatsapptemplatedmessage-1).